Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface CandidateListHandlingType

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlString, XmlTokenSource

    public interface CandidateListHandlingType

extends XmlString

An XML candidateListHandlingType(@http://www.bea.com/wli/worklist/xml). This is an atomic type that is a restriction of com.bea.wli.worklist.xml.CandidateListHandlingType.

Nested Class Summary
`static class` | `CandidateListHandlingType.Enum` Enumeration value class for com.bea.wli.worklist.xml.CandidateListHandlingType.
`static class` | `CandidateListHandlingType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static CandidateListHandlingType.Enum` | `DEFAULT`
`static int` | `INT_DEFAULT`
`static int` | `INT_INTERACTIVE`
`static int` | `INT_ITERATE_LIST`
`static int` | `INT_LOAD_BALANCING`
`static int` | `INT_NONE`
`static CandidateListHandlingType.Enum` | `INTERACTIVE`
`static CandidateListHandlingType.Enum` | `ITERATE_LIST`
`static CandidateListHandlingType.Enum` | `LOAD_BALANCING`
`static CandidateListHandlingType.Enum` | `NONE`
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`StringEnumAbstractBase` | `enumValue()`
`void` | `set(StringEnumAbstractBase e)`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

### NONE

    static final CandidateListHandlingType.Enum NONE

### DEFAULT

    static final CandidateListHandlingType.Enum DEFAULT

### LOAD_BALANCING

    static final CandidateListHandlingType.Enum LOAD_BALANCING

### INTERACTIVE

    static final CandidateListHandlingType.Enum INTERACTIVE

### ITERATE_LIST

    static final CandidateListHandlingType.Enum ITERATE_LIST

### INT_NONE

    static final int INT_NONE

See Also:
  Constant Field Values

### INT_DEFAULT

    static final int INT_DEFAULT

See Also:
  Constant Field Values

### INT_LOAD_BALANCING

    static final int INT_LOAD_BALANCING

See Also:
  Constant Field Values

### INT_INTERACTIVE

    static final int INT_INTERACTIVE

See Also:
  Constant Field Values

### INT_ITERATE_LIST

    static final int INT_ITERATE_LIST

See Also:
  Constant Field Values

Method Detail

### enumValue

    StringEnumAbstractBase enumValue()

### set

    void set(StringEnumAbstractBase e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD